Subject: bug#58396: 29.0.50; Optimization failure for add-to-list

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 10 Oct 2022 10:25:58 +0200

German Pacenza <[email-masked]> writes:

> emacs -Q
> (setq tab-always-indent 'complete)
> (add-to-list pac ;; without the quote. Press TAB after the 'c'
>
> Result:
> Completion succeeds but I get the following in the echo area:
> Warning: Optimization failure for add-to-list: Handler: add-to-list--anon-cmacro
> (wrong-number-of-arguments #<subr add-to-list--anon-cmacro> 2)
>
> With toggle-debug-on-error:
>
>   Debugger entered--Lisp error: (wrong-number-of-arguments #<subr add-to-list--anon-cmacro> 2)

This seems like it's the same problem as reported in bug#58148 (so I'm
merging the two reports).

(And now I'm able to reproduce the problem.)